require 'belafonte'
require 'cabal/cli'

module Cabal
  module CLI
    class Key < Belafonte::App
      title 'key'
      summary 'Get the public key for a cluster'

      arg :cluster_name,
        times: :unlimited

      def handle
        stdout.puts partake(:client).public_key(arg(:cluster_name).join(' '))
      end
    end
  end
end
